Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366867 - mutt resets certain terminal colors if ~/.muttrc is present
Summary: mutt resets certain terminal colors if ~/.muttrc is present
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mutt
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Mužila
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-13 18:07 UTC by Petr Šabata
Modified: 2018-05-14 14:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Petr Šabata 2016-08-13 18:07:20 UTC
Description of problem:
I use a base16 colorscheme[0] which defines custom colors for positions 16 through 21 in the 256 color palette.  When running mutt with the ~/.muttrc file existing (i.e. pretty much always), these colors are reset to their default values -- shades of blue.  Strangely this doesn't happen if the rc file doesn't exist.

This means that these colors appear very different in both mutt itself and the text editor when composing messages, which is fairly annoying.

Version-Release number of selected component (if applicable):
mutt-1.6.2-1.fc24.x86_64
xterm-323-1.fc24.x86_64

How reproducible:
Always.

Steps to Reproduce:
I'll use the base16 scripts here:

0. Run the following in xterm.
1. Make sure ~/.muttrc exists. (can be empty)
2. $ git clone https://github.com/chriskempson/base16-shell.git
3. $ sh base16-shell/scripts/base16-eighties.sh
4. $ sh base16-shell/colortest
5. Note that color16-color21 are NOT blue.
6. $ mutt
7. Exit mutt.
8. Repeat step 4.  Note the colors are blue now.
9. (Re)move your ~/.muttrc file and repeat steps 3, 4, 5, 6 and 7.  The
   colors should stay unchanged.

Actual results:
My terminal palette gets messed up every time I run mutt.

Expected results:
My terminal palette stays unchanged.

Additional info:
I also tried this in st and urxvt and neither of those suffered from this bug.  I guess it's caused by some escape sequence mutt prints that only xterm understands.  I also have a Gentoo system here and running its
mail-client/mutt-1.6.2 in Fedora's xterm doesn't change my palette.

[0] https://github.com/chriskempson/base16-shell

Comment 1 Fedora End Of Life 2017-07-25 22:25:36 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Petr Šabata 2017-07-25 22:46:05 UTC
Still broken in F26.

Comment 3 Fedora End Of Life 2018-05-03 08:35:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Petr Šabata 2018-05-14 14:23:21 UTC
Still broken in F28.


Note You need to log in before you can comment on or make changes to this bug.